{ lib, config, pkgs, ... }:

{
    virtualisation = {
      podman ={
        enable = true;
        autoPrune.enable = true;
        dockerCompat = true;
      };
    };

    services.gitea-actions-runner.instances = {
        homerunner = {
            enable = true;
            url = "https://git.kabtop.de";
            name = "Homerunner";
            tokenFile = config.age.secrets."services/gitea/homerunner-token".path;
            labels = [ 
              "home"
              "debian-latest:docker://node:18-bullseye"
              "native:host"
              "alpine-latest:docker://alpine:latest"
              "nix-master:docker://nix:master"
            ];
            hostPackages = with pkgs; [
              bash
              curl
              gitMinimal
              coreutils
              wget
              gnused
            ];
        };
    };

    age.secrets."services/gitea/homerunner-token" = {
      file = ../../../secrets/services/gitea/homerunner-token.age;
      owner = "gitea-runner";
    };
}
